# $Revision: 1.40.2.1 $, $Date: 2008-03-11 20:59:43 $
Summary:	The LAPACK libraries for numerical linear algebra
Summary(pl.UTF-8):	Biblioteki numeryczne LAPACK do algebry liniowej
Name:		lapack
Version:	3.1.1
Release:	5
License:	freely distributable
Group:		Libraries
Source0:	http://www.netlib.org/lapack/%{name}-%{version}.tgz
# Source0-md5:	00b21551a899bcfbaa7b8443e1faeef9
Source1:	http://www.netlib.org/lapack/manpages-%{version}.tgz
# Source1-md5:	e5b46d8915f7cc8a1e50aa3e70c9f86e
Patch0:		%{name}-automake_support.patch
URL:		http://www.netlib.org/lapack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libtool >= 2:1.5
Requires:	blas = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra. LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems. Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included. LAPACK can handle dense and banded matrices, but
not general sparse matrices. Similar functionality is provided for
real and complex matrices in both single and double precision. LAPACK
is coded in Fortran77.

%description -l pl.UTF-8
LAPACK (Linear Algebra PACKage) jest standardową biblioteką numeryczną
do algebry liniowej. Dostarcza funkcje rozwiązywania: układów równań
liniowych, układów równań metodą najmniejszych kwadratów, problemów
własnych. Zawiera algorytmy faktoryzacji macierzy (LU, Cholesky'ego,
QR, SVD, Schura, uogólnioną Schura) i związanych z tym obliczeń (np.
przenumerowywanie w faktoryzacji Schura i estymację uwarunkowania).
LAPACK może obsługiwać macierze blokowe i pasmowe, ale nie rzadkie w
ogólnym przypadku. Zapewnia funkcjonalność dla macierzy rzeczywistych
i zespolonych, dla liczb pojedynczej i podwójnej precyzji. LAPACK jest
napisany w Fortranie 77.

%package devel
Summary:	LAPACK development files
Summary(pl.UTF-8):	Pliki programistyczne LAPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	blas-devel = %{version}-%{release}
Obsoletes:	lapack-man

%description devel
LAPACK development files.

%description devel -l pl.UTF-8
Pliki programistyczne LAPACK.

%package static
Summary:	Static LAPACK libraries
Summary(pl.UTF-8):	Biblioteki statyczne LAPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LAPACK libraries.

%description static -l pl.UTF-8
Biblioteki statyczne LAPACK.

%package -n blas
Summary:	The BLAS (Basic Linear Algebra Subprograms) library for Linux
Summary(pl.UTF-8):	Biblioteka BLAS (Basic Linear Algebra Subprograms) dla Linuksa
Group:		Libraries
Obsoletes:	lapack-blas

%description -n blas
BLAS (Basic Linear Algebra Subprograms) is a standard library for
numerical algebra. BLAS provides a number of basic algorithms for
linear algebra. BLAS is fast and well-tested, was written in FORTRAN
77.

Warning: this is a reference implementation from Netlib. If possible,
use version optimized for your architecture instead.

%description -n blas -l pl.UTF-8
BLAS (Basic Linear Algebra Subprograms) jest standardową biblioteką
numeryczną algebry. Dostarcza wiele podstawowych algorytmów dla
algebry liniowej. Jest szybka i dobrze przetestowana, została napisana
w Fortranie 77.

Ostrzeżenie: to jest implementacja przykładowa z repozytorium Netlib.
Jeżeli to możliwe, należy używać zamiast niej wersji zoptymalizowanej
pod daną architekturę.

%package -n blas-devel
Summary:	BLAS development files
Summary(pl.UTF-8):	Pliki programistyczne BLAS
Group:		Development/Libraries
Requires:	blas = %{version}-%{release}
Obsoletes:	blas-man

%description -n blas-devel
BLAS development files.

%description -n blas-devel -l pl.UTF-8
Pliki programistyczne BLAS.

%package -n blas-static
Summary:	Static BLAS libraries
Summary(pl.UTF-8):	Biblioteki statyczne BLAS
Group:		Development/Libraries
Requires:	blas-devel = %{version}-%{release}

%description -n blas-static
Static BLAS libraries.

%description -n blas-static -l pl.UTF-8
Biblioteki statyczne BLAS.

%prep
%setup -q -a1
%patch0 -p1
# directory INSTALL conflicts with file INSTALL needed by automake
mv -f INSTALL install
# or maybe it should fail while trying to overwrite a file?
cp -f install/*.f SRC/

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make} \
	LTTAG="--tag=F77"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# present both in blas and lapack
rm -f man/manl/{lsame,xerbla}.l

install -d $RPM_BUILD_ROOT%{_mandir}/man3
for d in manpages/man/manl/*.l manpages/blas/man/manl/*.l ; do
	install $d $RPM_BUILD_ROOT%{_mandir}/man3/`basename $d .l`.3
done

echo "%defattr(644,root,root,755)" > blasmans.list
find manpages/blas/man/manl -name "*.l" -printf "%{_mandir}/man3/%%f\n" | sed 's/\.l/.3*/' >> blasmans.list
echo "%defattr(644,root,root,755)" > mans.list
find manpages/man/manl -name "*.l" -printf "%{_mandir}/man3/%%f\n" | sed 's/\.l/.3*/' >> mans.list

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post   -n blas -p /sbin/ldconfig
%postun -n blas -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/liblapack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblapack.so.2

%files devel -f mans.list
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblapack.so
%{_libdir}/liblapack.la

%files static
%defattr(644,root,root,755)
%{_libdir}/liblapack.a

%files -n blas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libblas.so.2

%files -n blas-devel -f blasmans.list
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblas.so
%{_libdir}/libblas.la

%files -n blas-static
%defattr(644,root,root,755)
%{_libdir}/libblas.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lapack.spec,v $
Revision 1.40.2.1  2008-03-11 20:59:43  glen
- AC-branch

Revision 1.40  2008-01-20 12:36:28  qboosh
- fixed misconception; updated automake_support patch to force -O0 only for broken files
- fixed -devel descs (no header files there)
- release 5

Revision 1.39  2008-01-20 12:11:35  qboosh
- Groups fixed for shared libs

Revision 1.38  2007-12-11 22:00:10  wrobell
- more info about optimization

Revision 1.37  2007-12-11 18:34:58  wrobell
- switch optimilization off, see http://www.netlib.org/lapack/faq.html#1.13
- rel. 4

Revision 1.36  2007/08/12 17:26:01  wrobell
- added missing lapack symbols
- rel. 3

Revision 1.35  2007/08/07 00:26:14  wrobell
- rel. 2

Revision 1.34  2007/08/07 00:07:45  wrobell
- fixed manpages installation

Revision 1.33  2007/08/06 22:38:36  wrobell
- download manpages file with version number in name

Revision 1.32  2007/08/06 22:03:16  wrobell
- ver. 3.1.1

Revision 1.31  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.29  2006/11/16 15:31:15  darekr
- sorted BRs

Revision 1.28  2006/11/01 16:13:15  sls
- added gcc420 patch - it allows link with libgfortran-4.2.0 and as-needed
  flag
- rel. up to 19

Revision 1.27  2006/03/05 18:43:51  qboosh
- strict internal deps, dropped libtool < 1.5 support

Revision 1.26  2004/11/29 11:42:41  ankry
- formatting, pl

Revision 1.25  2004/11/29 11:10:14  roman
- changed Description for blas (added a warning that this is an unoptimized version)

Revision 1.24  2003/11/25 10:28:54  averne
- r18

Revision 1.23  2003/05/28 12:59:25  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:49:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/12/25 21:41:54  qboosh
- added *.la to *-devel
- use fixed libtool instead of hacking *.la

Revision 1.20  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/11 06:19:30  kloczek
- bump release to 17.

Revision 1.18  2002/06/09 16:17:03  qboosh
- changed automake_support patch to work with both libtool 1.4.2 and 1.4d
- lapack-devel Requires: blas-devel
- removed conflicting man pages from lapack-devel (already in blas-devel)
- simplified %%prep, new %%doc
- release 14

Revision 1.17  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/05 15:26:38  roman
s/Freely/freely in License

Revision 1.15  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/15 21:29:01  kloczek
- release 13: added 20010525 patch with lapack updates.

Revision 1.11  2001/10/10 18:38:00  qboosh
- libtool 1.4.x ready
- renamed man pages: manl/*.l to man3/*.3

Revision 1.10  2001/09/26 11:51:05  qboosh
- BuildRequires: autoconf, automake, libtool, ed
- pl translations, some fixes in English summaries/descriptions
- release 3

Revision 1.9  2001/07/18 19:51:11  kloczek
- merge man into devel subpackages.

Revision 1.8  2001/07/18 11:22:46  wiget
libtool 1.4b workarounds

Revision 1.7  2000/11/13 08:30:58  qboosh
- BuildRequires: gcc-g77

Revision 1.6  2000/07/26 21:36:47  kloczek
- fixed Source urls.

Revision 1.5  2000/07/25 21:11:04  klakier
- removed config.h.in manual creation (it is autoheader's job)
- Requires: blas

Revision 1.4  2000/07/25 20:56:54  klakier
- fixed libblas perms

Revision 1.3  2000/07/25 16:40:23  klakier
- split to devel and static subpackages

Revision 1.2  2000/07/25 16:32:04  klakier
- added building libraries using automake/autoconf
- PLD adapted

Revision 1.1  2000/07/24 22:40:52  klakier
- adapterized from rh powertools spec

* Wed Jan 19 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space

Based on spec file from RedHat.
